Name:          dcmtk
Version:       3.6.0
Release:       1mamba
Summary:       The OFFIS DICOM toolkit command line utilities
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      gil <puntogil@libero.it>
URL:           http://dicom.offis.de/dcmtk.php.en
Source0:       ftp://dicom.offis.de/pub/dicom/offis/software/dcmtk/dcmtk360/dcmtk-%{version}.tar.gz
Patch0:        dcmtk-3.6.0-shared.patch
Patch1:        dcmtk-3.6.0-dcmjpls.patch
License:       BSD
BuildRequires: dos2unix
BuildRequires: doxygen
BuildRequires: libsndfile-devel
BuildRequires: libtool
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-turbo-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwrap-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      libdcmtk
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
DCMTK includes a collection of libraries and applications for examining,
constructing and converting DICOM image files, handling offline media,
sending and receiving images over a network connection, as well as
demonstrative image storage and worklist servers.

%package -n libdcmtk
Group:         System/Libraries
Summary:       The OFFIS DICOM toolkit runtime libraries
Requires:      libdcmtk = %{?epoch:%epoch:}%{version}-%{release}

%description -n libdcmtk
DCMTK - OFFIS DICOM Toolkit command line utilities.

This package contains the runtime libraries for the DCMTK utility
applications.

%package -n libdcmtk-devel
Group:         Development/Libraries
Summary:       The OFFIS DICOM toolkit development libraries and headers
Requires:      libdcmtk = %{?epoch:%epoch:}%{version}-%{release}

%description -n libdcmtk-devel
DCMTK - OFFIS DICOM Toolkit command line utilities.

This package contains development libraries and headers for DCMTK.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

for e in $(find . -name "*.exe"); do
  rm -rf $e
done

for d in $(find . -name "*.dll"); do
  rm -rf $d
done

for s in $(find . -name "*.so"); do
  rm -rf $s
done

test -r config/lzwtest.tif &&  rm -f config/lzwtest.tif

cp -f %{_datadir}/libtool/config/config.sub config/config.sub
cp -f %{_datadir}/libtool/config/config.guess config/config.guess

%build

cd config && ./autoall && cd .. && \
./configure \
  --host=%{_host} \
  --build=%{_build} \
  --prefix=%{_prefix} \
  --exec-prefix=%{_exec_prefix} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --includedir=%{_includedir} \
  --libdir=%{_libdir} \
  --datadir=%{_datadir} \
  --sysconfdir=%{_sysconfdir}/dcmtk \
  --with-private-tags \
  --with-libxml \
  --with-libtiff \
  --with-zlib \
  --with-libpng \
  --with-libwrap \
  --with-openssl

make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install DESTDIR=%{buildroot}
for t in data doc etc lib include support man html; do
  make install-$t DESTDIR=%{buildroot}
done

chmod 755 %{buildroot}%{_libdir}/*.so

mv %{buildroot}%{_docdir}/dcmtk %{buildroot}%{_docdir}/dcmtk-%{version}
cp -pr README %{buildroot}%{_docdir}/dcmtk-%{version}

# sample
mkdir -p %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/wlistdb %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/wlistqry %{buildroot}%{_datadir}/dcmtk

mv %{buildroot}%{_datadir}/*.dump %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/*.lut %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/*.dtd %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/*.dic %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/*.xsd %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/*.txt %{buildroot}%{_datadir}/dcmtk
mv %{buildroot}%{_datadir}/*.css %{buildroot}%{_datadir}/dcmtk

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/dcmtk
%config(noreplace) %{_sysconfdir}/dcmtk/dcmpstat.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/dcmqrscp.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/filelog.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/logger.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/printers.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/storescp.cfg
%config(noreplace) %{_sysconfdir}/dcmtk/storescu.cfg
%{_bindir}/dcm2pdf
%{_bindir}/dcm2pnm
%{_bindir}/dcm2xml
%{_bindir}/dcmcjpeg
%{_bindir}/dcmcjpls
%{_bindir}/dcmconv
%{_bindir}/dcmcrle
%{_bindir}/dcmdjpeg
%{_bindir}/dcmdjpls
%{_bindir}/dcmdrle
%{_bindir}/dcmdspfn
%{_bindir}/dcmdump
%{_bindir}/dcmftest
%{_bindir}/dcmgpdir
%{_bindir}/dcmj2pnm
%{_bindir}/dcml2pnm
%{_bindir}/dcmmkcrv
%{_bindir}/dcmmkdir
%{_bindir}/dcmmklut
%{_bindir}/dcmodify
%{_bindir}/dcmp2pgm
%{_bindir}/dcmprscp
%{_bindir}/dcmprscu
%{_bindir}/dcmpschk
%{_bindir}/dcmpsmk
%{_bindir}/dcmpsprt
%{_bindir}/dcmpsrcv
%{_bindir}/dcmpssnd
%{_bindir}/dcmqridx
%{_bindir}/dcmqrscp
%{_bindir}/dcmqrti
%{_bindir}/dcmquant
%{_bindir}/dcmscale
%{_bindir}/dcmsign
%{_bindir}/dcod2lum
%{_bindir}/dconvlum
%{_bindir}/dsr2html
%{_bindir}/dsr2xml
%{_bindir}/dsrdump
%{_bindir}/dump2dcm
%{_bindir}/echoscu
%{_bindir}/findscu
%{_bindir}/img2dcm
%{_bindir}/movescu
%{_bindir}/pdf2dcm
%{_bindir}/storescp
%{_bindir}/storescu
%{_bindir}/termscu
%{_bindir}/wlmscpfs
%{_bindir}/xml2dcm
%{_bindir}/xml2dsr
%dir %{_datadir}/dcmtk
%{_datadir}/dcmtk/*.dump
%{_datadir}/dcmtk/*.lut
%{_datadir}/dcmtk/*.dtd
%{_datadir}/dcmtk/*.dic
%{_datadir}/dcmtk/*.xsd
%{_datadir}/dcmtk/*.txt
%{_datadir}/dcmtk/*.css
%{_datadir}/dcmtk/wlistdb
%{_datadir}/dcmtk/wlistqry
%{_mandir}/man1/*.1.gz
%dir %{_docdir}/dcmtk-%{version}
%doc %{_docdir}/dcmtk-%{version}/*

%post -n libdcmtk -p /sbin/ldconfig
%postun -n libdcmtk -p /sbin/ldconfig

%files -n libdcmtk
%defattr(-,root,root)
%{_libdir}/libcharls.so
%{_libdir}/libdcmdata.so
%{_libdir}/libdcmdsig.so
%{_libdir}/libdcmimage.so
%{_libdir}/libdcmimgle.so
%{_libdir}/libdcmjpeg.so
%{_libdir}/libdcmjpls.so
%{_libdir}/libdcmnet.so
%{_libdir}/libdcmpstat.so
%{_libdir}/libdcmqrdb.so
%{_libdir}/libdcmsr.so
%{_libdir}/libdcmtls.so
%{_libdir}/libdcmwlm.so
%{_libdir}/libi2d.so
%{_libdir}/libijg12.so
%{_libdir}/libijg16.so
%{_libdir}/libijg8.so
%{_libdir}/liboflog.so
%{_libdir}/libofstd.so

%files -n libdcmtk-devel
%defattr(-,root,root)
%dir %{_includedir}/dcmtk
%{_includedir}/dcmtk/config
%{_includedir}/dcmtk/dcmdata
%{_includedir}/dcmtk/dcmimage
%{_includedir}/dcmtk/dcmimgle
%{_includedir}/dcmtk/dcmjpeg
%{_includedir}/dcmtk/dcmjpls
%{_includedir}/dcmtk/dcmnet
%{_includedir}/dcmtk/dcmpstat
%{_includedir}/dcmtk/dcmqrdb
%{_includedir}/dcmtk/dcmsign
%{_includedir}/dcmtk/dcmsr
%{_includedir}/dcmtk/dcmtls
%{_includedir}/dcmtk/dcmwlm
%{_includedir}/dcmtk/oflog
%{_includedir}/dcmtk/ofstd

%changelog
* Wed Feb 02 2011 gil <puntogil@libero.it> 3.6.0-1mamba
- package created by autospec
